Subject: Re: Scaling the Number of Network Interfaces on Linux

From: David Ahern <[email-masked]>
Date: Wed, 10 Feb 2016 12:59:48 +0100

On 2/10/16 12:15 PM, Nicolas Dichtel wrote:
> to follow your talk at nedev11, I already proposed some times ago a
> patch to
> remove sysctl, which was rejected. You can see the thread here:
> http://thread.gmane.org/gmane.linux.network/285840

Thanks for the reference. I'll take a look.

>
> Instead of removing completly the sysctl entries, another idea could be to
> manage a group of interfaces which will share the same subtree.

This come out from a side conversation as well -- for example to have 
interfaces enslaved to a bridge or bond share the same devconf.

This is certainly possible to do and I can give it a look. The key point 
is that we clearly need a means to lighten the overhead of a network 
interface.

David